/*
   Copyright (C) 1998-1999  Ulric Eriksson <ulric@siag.nu>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the Licence, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA.
 */

#ifndef s_Textframe_h
#define s_Textframe_h

/****************************************************************
 *
 * Textframe widget
 *
 ****************************************************************/

/* Resources:

 Name		     Class		RepType		Default Value
 ----		     -----		-------		-------------
 background	     Background		Pixel		XtDefaultBackground
 border		     BorderColor	Pixel		XtDefaultForeground
 borderWidth	     BorderWidth	Dimension	1
 textframeData	     TextframeData		Pointer		NULL
 textframeExpose	     TextframeExpose	Pointer		NULL
 destroyCallback     Callback		Pointer		NULL
 height		     Height		Dimension	0
 mappedWhenManaged   MappedWhenManaged	Boolean		True
 sensitive	     Sensitive		Boolean		True
 width		     Width		Dimension	0
 x		     Position		Position	0
 y		     Position		Position	0

*/

/* define any special resource names here that are not in <X11/StringDefs.h> */

#define XtNtextframeTopRow "textframeTopRow"
#define XtNtextframeTopCol "textframeTopCol"
#define XtNtextframeSelectTopRow "textframeSelectTopRow"
#define XtNtextframeSelectTopCol "textframeSelectTopCol"
#define XtNtextframeSelectBottomRow "textframeSelectBottomRow"
#define XtNtextframeSelectBottomCol "textframeSelectBottomCol"
#define XtNtextframePointRow "textframePointRow"
#define XtNtextframePointCol "textframePointCol"
#define XtNtextframeRowHeight "textframeRowHeight"
#define XtNtextframeAdjHoriz "textframeAdjHoriz"
#define XtNtextframeStyle "textframeStyle"
#define XtNtextframeText "textframeText"
#define XtNtextframeData "textframeData"
#define XtNtextframeRedisplay "textframeRedisplay"
#define XtNtextframeVisibleCursor "textframeVisibleCursor"
#define XtNtextframePaperWidth "textframePaperWidth"
#define XtNtextframeLeftMargin "textframeLeftMargin"
#define XtNtextframeRightMargin "textframeRightMargin"
#define XtNtextframeTabDistance "textframeTabDistance"
#define XtNtextframePluginCoords "textframePluginCoords"
#define XtNtextframeBop "textframeBop"

#define XtCTextframeTopRow "TextframeTopRow"
#define XtCTextframeTopCol "TextframeTopCol"
#define XtCTextframeSelectTopRow "TextframeSelectTopRow"
#define XtCTextframeSelectTopCol "TextframeSelectTopCol"
#define XtCTextframeSelectBottomRow "TextframeSelectBottomRow"
#define XtCTextframeSelectBottomCol "TextframeSelectBottomCol"
#define XtCTextframePointRow "TextframePointRow"
#define XtCTextframePointCol "TextframePointCol"
#define XtCTextframeRowHeight "TextframeRowHeight"
#define XtCTextframeAdjHoriz "TextframeAdjHoriz"
#define XtCTextframeStyle "TextframeStyle"
#define XtCTextframeText "TextframeText"
#define XtCTextframeData "TextframeData"
#define XtCTextframeRedisplay "TextframeRedisplay"
#define XtCTextframeVisibleCursor "TextframeVisibleCursor"
#define XtCTextframePaperWidth "TextframePaperWidth"
#define XtCTextframeLeftMargin "TextframeLeftMargin"
#define XtCTextframeRightMargin "TextframeRightMargin"
#define XtCTextframeTabDistance "TextframeTabDistance"
#define XtCTextframePluginCoords "TextframePluginCoords"
#define XtCTextframeBop "TextframeBop"

/* declare specific TextframeWidget class and instance datatypes */

typedef struct s_TextframeClassRec*	TextframeWidgetClass;
typedef struct s_TextframeRec*		TextframeWidget;

/* declare the class constant */

extern WidgetClass textframeWidgetClass;

/* a few functions */
extern void rt_pr_line(Widget, int);
extern int TextframeLookupString(Widget, XEvent *, char *, int, KeySym *);

#endif /* s_Textframe_h */

